package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomerFortuneStatistic;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclCustomerFortuneStatisticMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerFortuneStatistic record);

    int insertSelective(AclCustomerFortuneStatistic record);

    AclCustomerFortuneStatistic selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerFortuneStatistic record);

    int updateByPrimaryKey(AclCustomerFortuneStatistic record);

    int updateBatch(List<AclCustomerFortuneStatistic> list);

    int updateBatchSelective(List<AclCustomerFortuneStatistic> list);

    int batchInsert(@Param("list") List<AclCustomerFortuneStatistic> list);

    List<AclCustomerFortuneStatistic> findByCustomerIds(Long[] customerIds);

    AclCustomerFortuneStatistic findByCustomerId(Long customerId);
}